{
"offset": 1,
"limit": 2,
"length": 1,
"total": 1,
"items": [
{
"id": "wh627c8640675de8fc689ab9d9",
"url": "https://httpbin.org/anything?tag=api",
"enabledEvents": [
"whatsapp.message.updated",
"whatsapp.inbound_message.received"
],
"eventProperties": [
{
"event": "contact.attributes_changed",
"properties": [
"attr1",
"attr2"
]
}
],
"description": "My first webhook endpoint.",
"status": "active",
"secret": "whsec_abc4147651944f02baf3be1eb45d33f1",
"createTime": "2022-06-01T12:00:00.000Z",
"updateTime": "2022-06-01T12:00:00.000Z"
}
]
}Webhook Endpoints
List webhook endpoints
Returns a paginated list of webhook endpoints.
GET
https://api.ycloud.com/v2
/
webhookEndpoints
{
"offset": 1,
"limit": 2,
"length": 1,
"total": 1,
"items": [
{
"id": "wh627c8640675de8fc689ab9d9",
"url": "https://httpbin.org/anything?tag=api",
"enabledEvents": [
"whatsapp.message.updated",
"whatsapp.inbound_message.received"
],
"eventProperties": [
{
"event": "contact.attributes_changed",
"properties": [
"attr1",
"attr2"
]
}
],
"description": "My first webhook endpoint.",
"status": "active",
"secret": "whsec_abc4147651944f02baf3be1eb45d33f1",
"createTime": "2022-06-01T12:00:00.000Z",
"updateTime": "2022-06-01T12:00:00.000Z"
}
]
}Query Parameters
Response
200 - application/json
Successfully retrieved a paginated list of objects.
Represents a given page of webhook endpoints.

